### Modeling of local structure with a dictionary of image patches 
### - applied to the study of Lung ECM proteins

To reproduce the results from our paper (link to come), you will need to clone this repository or download it as a .zip file. Then, download the _input_data_ and _results_justDictionaries_ folders from DTU Data at https://doi.org/10.11583/DTU.16652065. Place both within the Lung_ECM folder, besides the code folder. Rename _results_justDictionaries_ to _results_ if you want to reproduce the exact results from our paper. Under the same DTU Data link you will also find the complete set of results under _results_complete_.

The following figure is a schematic view of the content in the _results_ and _input_data_ folders (at DTU Data) and the _code_ in this repository. The table below describes further the content of the code folder found in this repository.

TO DO: ADD schematic

Code contains:

| File name | Description | Input | Output |
| --------- | ----------- | ----- | ------ |
| lung_lif_to_png.py | Transforms Leica microscope format into a png | .lif file pr. sample | input_data/raw | 
| microscopy_analysis.py | Helper functions 
| image_preprocessing.py | Equalises contrast across images and channels, and computes max. projections | input_data/raw | input_data/maximum_projections and postprocessed_maxProjs
lung_feature_patch_allPatients_singleProtein.py | Single-protein analysis | postprocessed max. projs. | results/..._single
lung_feature_patch_allPatients_twoProtein.py | Two-protein analysis | postprocessed max. projs. | results/..._dropout
lung_feature_patch_allPatients_threeProtein.py | Three-protein analysis | postprocessed max. projs. | results/..._triple


Code developed by Monica J. Emerson monj@dtu.dk with contributions from Anders B. Dahl abda@dtu.dk.
